Subject: bug#60691: 29.0.60; Slow tree-sitter font-lock in ruby-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Jan 2023 09:29:08 +0200

> From: Yuan Fu <[email-masked]>
> Date: Fri, 13 Jan 2023 19:48:40 -0800
> Cc: [email-masked],
>  [email-masked],
>  [email-masked],
>  [email-masked]
> 
> Thanks, I pushed a fix for it. I also used intern_c_string in some places like these:
> 
> intern_c_string (":?”)
> intern_c_string (":*")
> 
> I want to change them to use DEFSYM, but what should be the c name for them?

Yes, DEFSYM is better in such cases.  The C name can be QCquestion and
QCasterix, for example.